/*************************************************************************************
 *
 * Bearing Housing
 *
 *************************************************************************************
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHOR OR COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * IT IS NOT PERMITTED TO MODIFY THIS COMMENT BLOCK.
 *
 * (c)2016, Claude "Tryphon" Theroux, Montreal, Quebec, Canada
 * http://www.ctheroux.com/
 *
 ************************************************************************************/

include <Common.scad>

/**
  Creates a bearing housing
  @param pTickness is the tickness of the housing
  @param pBearingDiameter is the outer bearing diameter.
  @param pHeight is the total height of the housing.
*/
module BearingHousing(pTickness, pBearingDiameter, pHeight) {
  difference() {
    cylinder(r=(pBearingDiameter + pTickness + printingTolerance) / 2, h=pHeight);
    translate([0, 0, -1]) cylinder(r=(pBearingDiameter + printingTolerance) / 2, h=pHeight + 2);
  }
}

//bearingMount(pTickness = 5, pBearingDiameter = 608ZZBearingDiameter, pHeight = 20);