/*************************************************************************************
 *
 * Brass Nut Bracket 
 *
 *************************************************************************************
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHOR OR COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * IT IS NOT PERMITTED TO MODIFY THIS COMMENT BLOCK.
 *
 * (c)2016, Claude "Tryphon" Theroux, Montreal, Quebec, Canada
 * http://www.ctheroux.com/
 *
 ************************************************************************************/
 
include <Common.scad>

// Screw hole distance from the center
brassNutScrewHoleDistanceFromCenter = 8;

// Nut bracket tickness
brassNutBracketTickness = 4;

// Number of screws.
brassNutNumberOfScrews = 4;

// Screw hole diameter
brassNutScrewHoleDiameter = 3.5;

// Lead screw passthrough diameter
brassNutLeadScrewPassthroughDiameter = 11.5;

// Nut diameter
brassNutDiameter = 22;

//leadScrewPlateTopDistance = 10;

// Holding screw hole
// @param index is the index of the hole. From 0 to 
module BrassNutScrewHole(index) {
 translate([brassNutScrewHoleDistanceFromCenter * cos(360 / brassNutNumberOfScrews * index + 45), brassNutScrewHoleDistanceFromCenter * sin(360 / brassNutNumberOfScrews * index + 45), -1]) 
 cylinder(r = brassNutScrewHoleDiameter/2, h = brassNutBracketTickness*2); 
}

module BrassNutBracket(extraLength) {
  difference() {
    union() {
      translate([-brassNutDiameter/2, -brassNutDiameter / 2 - extraLength, 0]) cube([brassNutDiameter, brassNutDiameter + extraLength, brassNutBracketTickness]);
    //  translate([0, -brassNutDiameter / 2, 0]) cube([leadScrewPlateTopDistance, brassNutDiameter, brassNutBracketTickness]);
    }
    for (i = [0 : 1 : brassNutNumberOfScrews - 1]) BrassNutScrewHole(i);   
    translate([0, 0, -1]) cylinder(r=brassNutLeadScrewPassthroughDiameter / 2, h=brassNutBracketTickness * 2);
  }
}
