/*************************************************************************************
 *
 * Aluminium extrusion mouting tab
 *
 *************************************************************************************
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHOR OR COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * IT IS NOT PERMITTED TO MODIFY THIS COMMENT BLOCK.
 *
 * (c)2016, Claude "Tryphon" Theroux, Montreal, Quebec, Canada
 * http://www.ctheroux.com/
 *
 ************************************************************************************/

include <Common.scad>

// Creates a mounting tab to be used with aluminium extrusion.
// @param tabTickness is the tickness of the tab
// @param tabWidth is the width of the tab
// @param tabHeight is the height of the tab
module ExtrusionMountingTab(tabTickness, tabWidth, tabHeight) {
  difference() {
    cube([tabTickness, tabWidth, tabHeight]);
    translate([-1, tabWidth / 2, tabHeight / 2]) rotate([0, 90, 0]) M5ScrewHole();
  }
}
