/*************************************************************************************
 *
 * M3 screw hole
 *
 *************************************************************************************
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHOR OR COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * IT IS NOT PERMITTED TO MODIFY THIS COMMENT BLOCK.
 *
 * (c)2016, Claude "Tryphon" Theroux, Montreal, Quebec, Canada
 * http://www.ctheroux.com/
 *
 ************************************************************************************/

include <Common.scad>

// M3 hole diameter
m3HoleDiameter = 3;

////////////////////////////////////////////////////////////////////////////////
// Nothing below shall be modified

m3HoleRadius = (m3HoleDiameter + printingTolerance) / 2;

// M3 screw holes.
// pLength is the lenght of depth of the hole.
module M3ScrewHole(pLength = 20) {
  
  cylinder(h=pLength, r=m3HoleRadius);
}
