/*************************************************************************************
 *
 * M5 screw hole
 *
 *************************************************************************************
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHOR OR COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * IT IS NOT PERMITTED TO MODIFY THIS COMMENT BLOCK.
 *
 * (c)2016, Claude "Tryphon" Theroux, Montreal, Quebec, Canada
 * http://www.ctheroux.com/
 *
 ************************************************************************************/

include <Common.scad>

// M5 hole diameter
m5HoleDiameter = 5;

// M5 screw head tickness
//m5HeadTickness = 5 + printingTolerance;

// M5 screw head diameter
//m5HeadDiameter = 10;

// Minimu tickness required to hold a M5 screw.
//m5HoldingTickness = 2;

////////////////////////////////////////////////////////////////////////////////
// Nothing below shall be modified

m5HoleRadius = (m5HoleDiameter + printingTolerance) / 2;

//m5HeadRadius = (m5HeadDiameter + printingTolerance) / 2;


// M5 screw holes.
// pLength is the lenght of depth of the hole.
module M5ScrewHole(pLength = 20) {
  cylinder(h=pLength, r=m5HoleRadius);
}
